// Copyright 1997 by Jon Dart.  All Rights Reserved.
#include "pawnentr.h"
#include <malloc.h>

Pool Pawn_Entry::allocator;


Pawn_Entry::Pawn_Entry( hash_t hc,
                 int score,
                 Square *passers,
                 byte passers_count,
                 const Bitmap &holes,
                 const Bitmap &isolated,
                 int center_score)
: m_score(score),m_hc(hc),m_passers_count(passers_count),
  m_holes(holes),m_isolated(isolated),m_center_score(center_score)
{
   memcpy(m_passers,passers,passers_count);
}
 